//------------------------------------------------------------------------------
//工具生成，请勿修改。
//配置文件名称：level.xlsx。
//------------------------------------------------------------------------------
export default class LevelCFG
{
	public id:number;//关卡
	public road:string;//关卡模型
	public roleinitpos:any;//玩家角色初始站位
	public npc:any;//npc
	public firstScenepos:string;//初始第一个场景模型的位置
	public winGold:number;//通关成功获得金币
	public failGod:string;//通关失败获得金币
	public static dict:any = {};
	public static vec:Array<LevelCFG> = [];
	public static initCfg(str:string):void
	{
		var i:number=0;
		var arr:Array<string> = str.split("\n");
		var i:number=0;
		for(i = 0; i < arr.length; i++)
		{
			var singleStr:string = arr[i];
			var singleArr:Array<string> = singleStr.split("&");
			if(LevelCFG.dict[singleArr[0]])continue;
			var item:LevelCFG= new LevelCFG();
			item.id= Number(singleArr[0]);
			item.road=singleArr[1];
			item.roleinitpos= JSON.parse(singleArr[2]);
			item.npc= JSON.parse(singleArr[3]);
			item.firstScenepos=singleArr[4];
			item.winGold= Number(singleArr[5]);
			item.failGod=singleArr[6];
			LevelCFG.dict[item.id]=item;
			LevelCFG.vec.push(item);
		}
	}

}